Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 42360 - spacechart-0.9.4.ebuild (New Package)
Summary: spacechart-0.9.4.ebuild (New Package)
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-02-21 05:59 UTC by Sebastian James
Modified: 2008-01-16 12:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
spacechart ebuild. Suggest app-misc category. (spacechart-0.9.4.ebuild,735 bytes, text/plain)
2004-02-21 06:02 UTC, Sebastian James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian James 2004-02-21 05:59:04 UTC
A Gnome viewer for star charts. The Gliese data is included in the standard ebuild. Stars are shown by luminescence in a 3D layout that the user can rotate.

This ebuild is contributed by Hypercube Systems Ltd.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Sebastian James 2004-02-21 06:02:13 UTC
Created attachment 26046 [details]
spacechart ebuild. Suggest app-misc category.
Comment 2 Patrick Kursawe (RETIRED) gentoo-dev 2004-04-05 03:22:09 UTC
A few problems with this ebuild:
- don't set S to its default value
- things that are in IUSE should actually be checked during configure/make (read: have an effect on what you get)
- for sourceforge stuff, use the mirror:// syntax
- don't include comments from the example ebuild
- don't include hardcoded version numbers within the ebuild if possible (see http://www.gentoo.org/doc/en/ebuild-mistakes.xml )
- if things are only needed for building, not for running (I guess this is valid for stuff like flex and bison), define RDEPEND for the real runtime dependencies

About your question by e-mail, do a bugzilla search for how many open "enhancement" bugs the sci team still has :-/
Comment 3 Samuli Suominen gentoo-dev 2008-01-16 12:03:23 UTC
There is no new versions after 0.9.4, and this is for GNOME 1.

checking for gnome-config... no
checking for gnomeConf.sh file in /usr/lib... not found
configure: error: Could not find the gnomeConf.sh file that is generated by gnome-libs install

Closing as RESOLVED, WONTFIX.
Comment 4 Samuli Suominen gentoo-dev 2008-01-16 12:07:27 UTC
For reference, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460795

Debian is also dropping this package for same reason.